Skip to main content
POST
/
api
/
v2
/
affiliate
/
dashboard
/
statistics
/
network-summary
Get network summary
curl --request POST \
  --url https://{domain}/api/v2/affiliate/dashboard/statistics/network-summary \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "rangeFrom": "string",
  "rangeTo": "string",
  "breakdown": "string",
  "breakdowns": "string",
  "columns": "string"
}
'
import requests

url = "https://{domain}/api/v2/affiliate/dashboard/statistics/network-summary"

payload = {
"rangeFrom": "string",
"rangeTo": "string",
"breakdown": "string",
"breakdowns": "string",
"columns": "string"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rangeFrom: 'string',
rangeTo: 'string',
breakdown: 'string',
breakdowns: 'string',
columns: 'string'
})
};

fetch('https://{domain}/api/v2/affiliate/dashboard/statistics/network-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": [
    {
      "key": "<string>",
      "currency": "<string>",
      "current": {
        "from": 123,
        "to": 123,
        "total": 123,
        "total_partial": 123,
        "total_change": 123,
        "ranges": [
          "<string>"
        ],
        "series": [
          123
        ]
      },
      "previous": {
        "from": 123,
        "to": 123,
        "total": 123,
        "total_partial": 123,
        "ranges": [
          "<string>"
        ],
        "series": [
          123
        ]
      }
    }
  ]
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

currency
string

Currency code used to convert monetary values in the widget response.

Body

application/json
rangeFrom
string

Date range start (YYYY-MM-DD).

rangeTo
string

Date range end (YYYY-MM-DD).

breakdown
string

Breakdown type: hour, day, month, year.

breakdowns
string

Breakdown types (comma-separated).

columns
string

Requested metrics (comma-separated, e.g. clicks,cv_total,tr,total_payout).

preset
string

Time preset: today, yesterday, last7Days, last14Days, last30Days, thisMonth, lastMonth, thisYear, lastYear, allTime, custom.

filters
object

Filter criteria.

reportType
string

Report type (e.g. general, operator, broker).

Response

Network summary.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object[]